Package org.eclipse.mat.dtfj

# Class PreferenceInitializer

java.lang.Object
org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer
org.eclipse.mat.dtfj.PreferenceInitializer

public class PreferenceInitializer extends AbstractPreferenceInitializer
Class used to initialize default preference values.

## Constructor Summary

Constructors
Constructor
Description
`PreferenceInitializer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`initializeDefaultPreferences()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PreferenceInitializer

public PreferenceInitializer()

## Method Details

### initializeDefaultPreferences

public void initializeDefaultPreferences()

Specified by:
  `initializeDefaultPreferences` in class `AbstractPreferenceInitializer`